import new classes does not show error-message
Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Web Interface   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

If I click on "Import new puppet classes and environments" at the Puppet Classes page and foreman doesn't find the

modules-directory it doesn't print an error-message.

If I do the same on the Environments page it does show an error ("Unable to find directory ... in environment ...")

Associated revisions

Revision 2c7681e3 - 06/27/2011 06:48 AM - Ohad Levy

fixes #1010 - import new classes does not show error-message

History

#1 - 06/24/2011 07:16 AM - Ohad Levy

Can you try this patch?

diff --git a/app/controllers/puppetclasses_controller.rb b/app/controllers/puppetclasses_controller.rb

index 746b382..3b41947 100644

--- a/app/controllers/puppetclasses_controller.rb

+++ b/app/controllers/puppetclasses_controller.rb

@@ -7,7 +7,6 @@ class PuppetclassesController < ApplicationController

   def index

     begin

       values = Puppetclass.search_for(params[:search], :order => params[:order])

-      flash.clear

     rescue => e

       error e.to_s

       values = Puppetclass.search_for "" 

#2 - 06/24/2011 07:42 AM - Alexander Rusa

I deleted the "flash.clear" and now it shows the error correctly but i didn't manage to apply the patch by using git apply - maybe this is because I

haven't got enough practice with git patches ;-)

$ git apply --check <patch>

error: patch failed: app/controllers/puppetclasses_controller.rb:7

error: app/controllers/puppetclasses_controller.rb: patch does not apply

#3 - 06/24/2011 08:53 AM - Ohad Levy

- Category set to Web Interface

- Target version set to 0.4

naa.. it wasnt a proper git patch.

I'll add it to the repo officially, so you would simply get it with a git pull.

you would probably need to do git checkout app/controllers/puppetclasses_controller.rb first (so git could apply the patch).
#4 - 06/27/2011 05:43 AM - Ohad Levy

- Assignee set to Ohad Levy

#5 - 06/27/2011 07:07 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 2c7681e35a7c32d2e66fc04bf4e22a6b67bb4f6c.
